<?php

if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

if (TYPO3_MODE === 'BE') {
	\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
		'SGalinski.sg_mail',
		'web',
		'Mail',
		'',
		[
			'Mail' => 'index, save, sendTestMail',
		],
		[
			'access' => 'admin,user,group',
			'icon' => 'EXT:sg_mail/Resources/Public/Icons/ModuleIcon.svg',
			'labels' => 'LLL:EXT:sg_mail/Resources/Private/Language/locallang.xlf',
		]
	);

	$tables = [
		'tx_sgmail_domain_model_mail',
	];

	foreach ($tables as $table) {
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages($table);
	}
}
